Bug#916351: transition: dpdk

classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

Bug#916351: transition: dpdk

Luca Boccassi-3
Package: release.debian.org
Severity: normal
User: [hidden email]
Usertags: transition

Dear release team,

We would like to move the new DPDK LTS release 18.11-1 from
experimental to unstable. This breaks the various libraries ABI compat,
so a transition is needed.

https://tracker.debian.org/pkg/dpdk

The new DPDK packages are all in experimental, having passed the NEW
que
ue, and have built on all supported architectures.

Note that from this project follows a boost-like model, so
the ABI revision is named after the upstream major version (eg: librte-
eal17.11 -> librte-eal18.11). This is done because most libraries built
from DPDK break ABI compat on every single major release.

Reverse build dependency source packages:

collectd:

The reverse dependency builds needs a source update to build with this
new version, to do with autoconf. The fix has been merged upstream [1]
and backported to the stable branch currently in sid [2].
I have opened a bug and attached a patch, which I verified works [3].
It seems like there's another bug which should be fixed to allow
migration, but the change is quite simple. I have prepared a source NMU
which I could upload if necessary.

Note that although collectd only recommends the dpdk libraries, it does
so because the plugin is optional. The plugin still needs to be rebuilt
against the new libraries ABIs to work.

virtio-forwarder:

This package has never entered testing as of yet, due to another bug
(which seems very simple to solve). The issue with DPDK is that virtio-
forwarder imports DPDK's makefiles rather than shipping its own, and
these are deprecated. I reported this downstream [4] and upstream [5].
Given it's not in testing I have not yet prepared a patch. I might do
so in the next few days.

Thanks!

-- 
Kind regards,
Luca Boccassi

[1] https://github.com/collectd/collectd/pull/3015
[2] https://github.com/collectd/collectd/pull/3017
[3] https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=915419
[4] https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=915417
[5] https://github.com/Netronome/virtio-forwarder/issues/3

signature.asc (499 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Bug#916351: transition: dpdk

Luca Boccassi-3
On Thu, 13 Dec 2018 13:26:33 +0000 Luca Boccassi <[hidden email]>
wrote:
> Package: release.debian.org
> Severity: normal
> User: [hidden email]
> Usertags: transition

> Dear release team,

> We would like to move the new DPDK LTS release 18.11-1 from
> experimental to unstable. This breaks the various libraries ABI
compat,

> so a transition is needed.

> https://tracker.debian.org/pkg/dpdk

> The new DPDK packages are all in experimental, having passed the NEW
> que
> ue, and have built on all supported architectures.

> Note that from this project follows a boost-like model, so
> the ABI revision is named after the upstream major version (eg:
librte-
> eal17.11 -> librte-eal18.11). This is done because most libraries
built
> from DPDK break ABI compat on every single major release.

> Reverse build dependency source packages:

> collectd:

> The reverse dependency builds needs a source update to build with
this
> new version, to do with autoconf. The fix has been merged upstream
[1]
> and backported to the stable branch currently in sid [2].
> I have opened a bug and attached a patch, which I verified works [3].
> It seems like there's another bug which should be fixed to allow
> migration, but the change is quite simple. I have prepared a source
NMU
> which I could upload if necessary.

> Note that although collectd only recommends the dpdk libraries, it
does
> so because the plugin is optional. The plugin still needs to be
rebuilt
> against the new libraries ABIs to work.

> virtio-forwarder:

> This package has never entered testing as of yet, due to another bug
> (which seems very simple to solve). The issue with DPDK is that
virtio-
> forwarder imports DPDK's makefiles rather than shipping its own, and
> these are deprecated. I reported this downstream [4] and upstream
[5].

> Given it's not in testing I have not yet prepared a patch. I might do
> so in the next few days.

> Thanks!

> -- 
> Kind regards,
> Luca Boccassi

> [1] https://github.com/collectd/collectd/pull/3015
> [2] https://github.com/collectd/collectd/pull/3017
> [3] https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=915419
> [4] https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=915417
> [5] https://github.com/Netronome/virtio-forwarder/issues/3
I have a tentative fix for virtio-forwarder, sent upstream and debdiff
attached to the relevant bug.

--
Kind regards,
Luca Boccassi

signature.asc (499 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Bug#916351: transition: dpdk

Emilio Pozuelo Monfort-4
Control: tags -1 confirmed

On 13/12/2018 22:05, Luca Boccassi wrote:

> On Thu, 13 Dec 2018 13:26:33 +0000 Luca Boccassi <[hidden email]>
> wrote:
>> Package: release.debian.org
>> Severity: normal
>> User: [hidden email]
>> Usertags: transition
>>  
>> Dear release team,
>>  
>> We would like to move the new DPDK LTS release 18.11-1 from
>> experimental to unstable. This breaks the various libraries ABI
> compat,
>> so a transition is needed.
>>  
>> https://tracker.debian.org/pkg/dpdk
>>  
>> The new DPDK packages are all in experimental, having passed the NEW
>> que
>> ue, and have built on all supported architectures.
>>  
>> Note that from this project follows a boost-like model, so
>> the ABI revision is named after the upstream major version (eg:
> librte-
>> eal17.11 -> librte-eal18.11). This is done because most libraries
> built
>> from DPDK break ABI compat on every single major release.
>>  
>> Reverse build dependency source packages:
>>  
>> collectd:
>>  
>> The reverse dependency builds needs a source update to build with
> this
>> new version, to do with autoconf. The fix has been merged upstream
> [1]
>> and backported to the stable branch currently in sid [2].
>> I have opened a bug and attached a patch, which I verified works [3].
>> It seems like there's another bug which should be fixed to allow
>> migration, but the change is quite simple. I have prepared a source
> NMU
>> which I could upload if necessary.
>>  
>> Note that although collectd only recommends the dpdk libraries, it
> does
>> so because the plugin is optional. The plugin still needs to be
> rebuilt
>> against the new libraries ABIs to work.
>>  
>> virtio-forwarder:
>>  
>> This package has never entered testing as of yet, due to another bug
>> (which seems very simple to solve). The issue with DPDK is that
> virtio-
>> forwarder imports DPDK's makefiles rather than shipping its own, and
>> these are deprecated. I reported this downstream [4] and upstream
> [5].
>> Given it's not in testing I have not yet prepared a patch. I might do
>> so in the next few days.
>>  
>> Thanks!
>>  
>> -- 
>> Kind regards,
>> Luca Boccassi
>>  
>> [1] https://github.com/collectd/collectd/pull/3015
>> [2] https://github.com/collectd/collectd/pull/3017
>> [3] https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=915419
>> [4] https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=915417
>> [5] https://github.com/Netronome/virtio-forwarder/issues/3
>
> I have a tentative fix for virtio-forwarder, sent upstream and debdiff
> attached to the relevant bug.

Go ahead.

Cheers,
Emilio

Reply | Threaded
Open this post in threaded view
|

Bug#916351: transition: dpdk

Luca Boccassi-3
Control: block -1 915419 915692

On Wed, 2018-12-19 at 11:34 +0100, Emilio Pozuelo Monfort wrote:

> Control: tags -1 confirmed
>
> On 13/12/2018 22:05, Luca Boccassi wrote:
> > On Thu, 13 Dec 2018 13:26:33 +0000 Luca Boccassi <[hidden email]>
> > wrote:
> > > Package: release.debian.org
> > > Severity: normal
> > > User: [hidden email]
> > > Usertags: transition
> > >  
> > > Dear release team,
> > >  
> > > We would like to move the new DPDK LTS release 18.11-1 from
> > > experimental to unstable. This breaks the various libraries ABI
> >
> > compat,
> > > so a transition is needed.
> > >  
> > > https://tracker.debian.org/pkg/dpdk
> > >  
> > > The new DPDK packages are all in experimental, having passed the
> > > NEW
> > > que
> > > ue, and have built on all supported architectures.
> > >  
> > > Note that from this project follows a boost-like model, so
> > > the ABI revision is named after the upstream major version (eg:
> >
> > librte-
> > > eal17.11 -> librte-eal18.11). This is done because most libraries
> >
> > built
> > > from DPDK break ABI compat on every single major release.
> > >  
> > > Reverse build dependency source packages:
> > >  
> > > collectd:
> > >  
> > > The reverse dependency builds needs a source update to build with
> >
> > this
> > > new version, to do with autoconf. The fix has been merged
> > > upstream
> >
> > [1]
> > > and backported to the stable branch currently in sid [2].
> > > I have opened a bug and attached a patch, which I verified works
> > > [3].
> > > It seems like there's another bug which should be fixed to allow
> > > migration, but the change is quite simple. I have prepared a
> > > source
> >
> > NMU
> > > which I could upload if necessary.
> > >  
> > > Note that although collectd only recommends the dpdk libraries,
> > > it
> >
> > does
> > > so because the plugin is optional. The plugin still needs to be
> >
> > rebuilt
> > > against the new libraries ABIs to work.
> > >  
> > > virtio-forwarder:
> > >  
> > > This package has never entered testing as of yet, due to another
> > > bug
> > > (which seems very simple to solve). The issue with DPDK is that
> >
> > virtio-
> > > forwarder imports DPDK's makefiles rather than shipping its own,
> > > and
> > > these are deprecated. I reported this downstream [4] and upstream
> >
> > [5].
> > > Given it's not in testing I have not yet prepared a patch. I
> > > might do
> > > so in the next few days.
> > >  
> > > Thanks!
> > >  
> > > -- 
> > > Kind regards,
> > > Luca Boccassi
> > >  
> > > [1] https://github.com/collectd/collectd/pull/3015
> > > [2] https://github.com/collectd/collectd/pull/3017
> > > [3] https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=915419
> > > [4] https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=915417
> > > [5] https://github.com/Netronome/virtio-forwarder/issues/3
> >
> > I have a tentative fix for virtio-forwarder, sent upstream and
> > debdiff
> > attached to the relevant bug.
>
> Go ahead.
>
> Cheers,
> Emilio
Thanks, the virtio-forwarder patch should be ready and agreed with
upstream by the end of the week, I will then proceed with the source
upload of DPDK and the source NMUs of collectd and virtio-forwarder
(unless they get updated by the maintainers beforehand).

--
Kind regards,
Luca Boccassi

signature.asc (495 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Bug#916351: transition: dpdk

Luca Boccassi-3
On Wed, 19 Dec 2018 15:59:48 +0100 Luca Boccassi <[hidden email]>
wrote:
> Control: block -1 915419 915692

> On Wed, 2018-12-19 at 11:34 +0100, Emilio Pozuelo Monfort wrote:
> > Control: tags -1 confirmed
> > 
> > On 13/12/2018 22:05, Luca Boccassi wrote:
> > > On Thu, 13 Dec 2018 13:26:33 +0000 Luca Boccassi <[hidden email]
g>

> > > wrote:
> > > > Package: release.debian.org
> > > > Severity: normal
> > > > User: [hidden email]
> > > > Usertags: transition
> > > >  
> > > > Dear release team,
> > > >  
> > > > We would like to move the new DPDK LTS release 18.11-1 from
> > > > experimental to unstable. This breaks the various libraries ABI
> > > 
> > > compat,
> > > > so a transition is needed.
> > > >  
> > > > https://tracker.debian.org/pkg/dpdk
> > > >  
> > > > The new DPDK packages are all in experimental, having passed
the
> > > > NEW
> > > > que
> > > > ue, and have built on all supported architectures.
> > > >  
> > > > Note that from this project follows a boost-like model, so
> > > > the ABI revision is named after the upstream major version (eg:
> > > 
> > > librte-
> > > > eal17.11 -> librte-eal18.11). This is done because most
libraries
> > > 
> > > built
> > > > from DPDK break ABI compat on every single major release.
> > > >  
> > > > Reverse build dependency source packages:
> > > >  
> > > > collectd:
> > > >  
> > > > The reverse dependency builds needs a source update to build
with
> > > 
> > > this
> > > > new version, to do with autoconf. The fix has been merged
> > > > upstream
> > > 
> > > [1]
> > > > and backported to the stable branch currently in sid [2].
> > > > I have opened a bug and attached a patch, which I verified
works
> > > > [3].
> > > > It seems like there's another bug which should be fixed to
allow
> > > > migration, but the change is quite simple. I have prepared a
> > > > source
> > > 
> > > NMU
> > > > which I could upload if necessary.
> > > >  
> > > > Note that although collectd only recommends the dpdk libraries,
> > > > it

I have done the source upload of DPDK 18.11-2 to unstable.
I have done the source NMU of collectd to DELAYED/2 on Saturday, which
means it will be uploaded in 12 hours.

I will do the source sponsored upload of virtio-forwarder, as requested
by the maintainer, in a few hours once DPDK has built on all
architectures.

--
Kind regards,
Luca Boccassi

signature.asc (499 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Bug#916351: transition: dpdk

Luca Boccassi-3
Control: close -1

On Mon, 2018-12-24 at 11:19 +0100, Luca Boccassi wrote:

> On Wed, 19 Dec 2018 15:59:48 +0100 Luca Boccassi <[hidden email]>
> wrote:
> > Control: block -1 915419 915692
> >  
> > On Wed, 2018-12-19 at 11:34 +0100, Emilio Pozuelo Monfort wrote:
> > > Control: tags -1 confirmed
> > >  
> > > On 13/12/2018 22:05, Luca Boccassi wrote:
> > > > On Thu, 13 Dec 2018 13:26:33 +0000 Luca Boccassi <bluca@debian.
> > > > or
>
> g>
> > > > wrote:
> > > > > Package: release.debian.org
> > > > > Severity: normal
> > > > > User: [hidden email]
> > > > > Usertags: transition
> > > > >  
> > > > > Dear release team,
> > > > >  
> > > > > We would like to move the new DPDK LTS release 18.11-1 from
> > > > > experimental to unstable. This breaks the various libraries
> > > > > ABI
> > > >
> > > >  
> > > > compat,
> > > > > so a transition is needed.
> > > > >  
> > > > > https://tracker.debian.org/pkg/dpdk
> > > > >  
> > > > > The new DPDK packages are all in experimental, having passed
>
> the
> > > > > NEW
> > > > > que
> > > > > ue, and have built on all supported architectures.
> > > > >  
> > > > > Note that from this project follows a boost-like model, so
> > > > > the ABI revision is named after the upstream major version
> > > > > (eg:
> > > >
> > > >  
> > > > librte-
> > > > > eal17.11 -> librte-eal18.11). This is done because most
>
> libraries
> > > >  
> > > > built
> > > > > from DPDK break ABI compat on every single major release.
> > > > >  
> > > > > Reverse build dependency source packages:
> > > > >  
> > > > > collectd:
> > > > >  
> > > > > The reverse dependency builds needs a source update to build
>
> with
> > > >  
> > > > this
> > > > > new version, to do with autoconf. The fix has been merged
> > > > > upstream
> > > >
> > > >  
> > > > [1]
> > > > > and backported to the stable branch currently in sid [2].
> > > > > I have opened a bug and attached a patch, which I verified
>
> works
> > > > > [3].
> > > > > It seems like there's another bug which should be fixed to
>
> allow
> > > > > migration, but the change is quite simple. I have prepared a
> > > > > source
> > > >
> > > >  
> > > > NMU
> > > > > which I could upload if necessary.
> > > > >  
> > > > > Note that although collectd only recommends the dpdk
> > > > > libraries,
> > > > > it
>
> I have done the source upload of DPDK 18.11-2 to unstable.
> I have done the source NMU of collectd to DELAYED/2 on Saturday,
> which
> means it will be uploaded in 12 hours.
>
> I will do the source sponsored upload of virtio-forwarder, as
> requested
> by the maintainer, in a few hours once DPDK has built on all
> architectures.
Hi,

Both collectd and virtio-forwarder have migrated to testing, with the
new version of DPDK. The old packages appear to have been already
removed from buster, so I think this can be closed now.

Thanks!

--
Kind regards,
Luca Boccassi

signature.asc (499 bytes) Download Attachment